import { type RenderContext } from "../types";
import { SyntaxStyle } from "../lib/syntax-style";
import { TreeSitterClient } from "../lib/tree-sitter";
import { TextBufferRenderable, type TextBufferOptions } from "./TextBufferRenderable";
export interface CodeOptions extends TextBufferOptions {
    content?: string;
    filetype?: string;
    syntaxStyle: SyntaxStyle;
    treeSitterClient?: TreeSitterClient;
}
export declare class CodeRenderable extends TextBufferRenderable {
    private _content;
    private _filetype?;
    private _syntaxStyle;
    private _isHighlighting;
    private _treeSitterClient;
    private _pendingRehighlight;
    protected _contentDefaultOptions: {
        content: string;
    };
    constructor(ctx: RenderContext, options: CodeOptions);
    get content(): string;
    set content(value: string);
    get filetype(): string | undefined;
    set filetype(value: string);
    get syntaxStyle(): SyntaxStyle;
    set syntaxStyle(value: SyntaxStyle);
    private updateContent;
    private fallback;
    private createFallbackStyledText;
}
